/* Misc */
.section-title {
    margin-bottom: 2rem;
}

.section-title h2 {
    margin-bottom: 0rem;
    font-weight: 600;
}

/* Hero Section */
.destination-hero {
    position: relative;
    height: 60vh;
    min-height: 500px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.destination-hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
}

.destination-hero .container {
    position: relative;
    height: 100%;
    z-index: 2;
}

.destination-hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    height: 100%;
    text-align: center;
    color: var(--white);
}

.destination-hero-text h1 {
    margin-bottom: 0rem;
    font-size: 2.5rem;
    font-weight: 600;
}

.destination-hero-text p {
    font-size: 1rem;
    font-weight: 400;
}

.destination-hero-text a {
    display: flex;
    justify-content: center;
    padding: 1rem 2rem;
    background-color: var(--terciario);
    color: var(--white);
    text-decoration: none;
    border-radius: 4rem;
    transition: filter 0.3s ease;
}

.destination-hero-text a:hover {
    filter: brightness(1.2);
    text-decoration: underline;
}

/* Intro */
.destination-intro {
    text-align: center;
}

/* Highlights Section */
#destination-highlights {
    text-align: center;
    background-color: var(--terciario);
    color: var(--white);
}

.highlight-grid {
    display: grid;
    grid-auto-rows: 1fr;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.highlight-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 1.5rem;
    height: 100%;
    background: var(--white);
    border-radius: 1.5rem 0.25rem 1.5rem 0.25rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.05);
    transition: transform 0.3s ease;
}

.highlight-item:hover {
    transform: translateY(-5px);
}

.highlight-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    object-position: center;
    border-radius: 1.5rem 0.25rem 1.5rem 0.25rem;
}

.highlight-item h3 {
    font-size: 1.25rem;
    margin-bottom: 0rem;
    color: var(--dark);
    font-weight: 600;
}

.highlight-item p {
    font-size: 0.925rem;
    color: #6c757d;
}

@media (max-width: 992px) {
    .highlight-grid {
        grid-template-columns: 1fr;
    }
}

/* Catalogo de Alojamientos */
.destination-alojamientos-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}


@media (max-width: 992px) {
    .destination-alojamientos-grid {
        grid-template-columns: 1fr;
    }
}